<?php 
session_start();
include '../../../conexao/index.php';

if (isset($_POST['btn'])) {
	$nome_artigo = $_POST['nome_artigo'];
	$stock = $_POST['stock'];
	$preco = $_POST['preco'];
	$preco_compra = $_POST['preco_compra'];
	$codbar = $_POST['codbar'];
	$iva = $_POST['iva'];
    $cat = $_POST['cat'];

	$sql = "SELECT * FROM produto WHERE nomeproduto = '$nome_artigo'";
	$rs = mysqli_query($db, $sql) or die(mysqli_error());
	if (mysqli_num_rows($rs) > 0) {
		echo "<script>alert('Este artigo já se encontra registrado!')</script>";
		echo "<script>window.location.href='../novo_artigo.php'</script>";
	}

	  $uploaddir = '../../../img/imageProduto/';
		$uploadfile = $uploaddir . basename($_FILES['imagem']['name']);
		$name = $_FILES['imagem']['name'];

		if(move_uploaded_file($_FILES['imagem']['tmp_name'], $uploadfile)){
		    $sql = "INSERT INTO produto(nomeproduto, stock, preco_compra, preco, codbar, iva, img, id_catgeoria) VALUES('$nome_artigo','$stock','$preco_compra','$preco', '$codbar', 'iva', '$name', '$cat')";
		    $rs = mysqli_query($db, $sql) or die (mysqli_error());
		    if($rs > 0){
		        echo "<script>alert('Artigo inserido com sucesso!!'); </script>";
				echo "<script>window.location='../novo_artigo.php'; </script>";
		    }else{
		        echo "<script>alert('Artigo não inserido.....Por favor tente novamente!'); </script>";
				echo "<script>window.location='../novo_artigo.php'; </script>";
		    }
		}else{
		    echo "<script>alert('Ocorreu um erro ao registrar o artigo, contacte o seu administrador por favor!'); </script>";
			echo "<script>window.location='../novo_artigo.php'; </script>";
		}

}